1. Absensi
go fiber | Auth
  • public
    • health
      GET
    • Register
      POST
    • Login
      POST
  • User
    • Update Profile
      PUT
    • Get Profile
      GET
    • Change password
      POST
    • Deactive account
      POST
    • Logout
      POST
    • Refresh token jwt
      POST
  • Absensi
    • Checkin
      POST
    • Checkout
      POST
    • Cek Absensi
      GET
    • History
      GET
    • Stats
      GET
  1. Absensi

History

GET
/api/v1/attendance/history

Request

Header Params

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.side.my.id/api/v1/attendance/history' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json'
Response Response Example
Success
{
    "success": true,
    "message": "Attendance history retrieved",
    "data": {
        "history": [
            {
                "date": "2025-07-16T00:00:00Z",
                "check_in": "2025-07-16T11:46:09.676Z",
                "check_out": "2025-07-16T11:52:40.005Z",
                "status": "absent",
                "location": {
                    "latitude": -8.1575,
                    "longitude": 113.722778,
                    "address": "Gedung Teknologi Informasi Politeknik Negeri Jember"
                }
            }
        ],
        "pagination": {
            "limit": 10,
            "page": 1,
            "total": 1,
            "total_pages": 1
        }
    },
    "timestamp": "2025-07-16 12:01:48"
}
Modified at 2025-07-16 12:02:47
Previous
Cek Absensi
Next
Stats
Built with